Resource

API Key Permission

Permissions for your API Keys

The API Key Permission Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    apiKey
    Type
    API Key
    Description

    Relation to API Key resource in which this object belongs

  • Name
    apiKeyId
    Type
    Object IDRequired
    Description

    ID of API Key resource in which this object belongs

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    permission
    Type
    PermissionRequired
    Description

    Permission. You can find list of permissions on the Permissions page.

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this permission is scoped at.

  • Name
    isBlockPermission
    Type
    Boolean
    Description

GETorPOST/api/api-key-permission/get-list

List

This endpoint allows you to retrieve a paginated list of all your API Key Permission. By default, a maximum of ten API Key Permission are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/api-key-permission/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "apiKeyId": true,
    "permission": true,
    "projectId": true,
    "apiKey": true,
    "createdByUser": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376a65c0-28fe-11f1-b591-3fdcef396aba",
      "apiKeyId": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
      "permission": "ProjectOwner",
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "apiKey": "Production API Key",
      "createdByUser": "admin@company.com"
    },
    {
      "_id": "376a65c1-28fe-11f1-b591-3fdcef396aba",
      "apiKeyId": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
      "permission": "ProjectOwner",
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "apiKey": "Production API Key",
      "createdByUser": "admin@company.com"
    },
    {
      "_id": "376a65c2-28fe-11f1-b591-3fdcef396aba",
      "apiKeyId": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
      "permission": "ProjectOwner",
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "apiKey": "Production API Key",
      "createdByUser": "admin@company.com"
    }
  ]
}
GETorPOST/api/api-key-permission/:id/get-item

Get item by ID

This endpoint allows you to retrieve API Key Permission by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/api-key-permission/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "apiKeyId": true,
    "permission": true,
    "projectId": true,
    "apiKey": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "376a65c0-28fe-11f1-b591-3fdcef396aba",
  "apiKeyId": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
  "permission": "ProjectOwner",
  "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
  "apiKey": "Production API Key",
  "createdByUser": "admin@company.com"
}
POST/api/api-key-permission/count

Count

This endpoint allows you to retrieve the count of all your API Key Permission.

Optional Request Body

Count Request

POST
/api/api-key-permission/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/api-key-permission

Create API Key Permission

This endpoint allows you to create a new object.

Create Request

POST
/api/api-key-permission
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "apiKeyId": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
    "permission": "ProjectOwner",
    "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
    "apiKey": "Production API Key",
    "createdByUser": "admin@company.com"
  }
}

Response

{
  "_id": "376a65c0-28fe-11f1-b591-3fdcef396aba",
  "apiKeyId": "e1f2a3b4-c5d6-4e7f-8a9b-0c1d2e3f4a5b",
  "permission": "ProjectOwner",
  "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
  "apiKey": "Production API Key",
  "createdByUser": "admin@company.com"
}
PUT/api/api-key-permission/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/api-key-permission/:id/update-item
GET/api/api-key-permission/:id/update-item

Update Request

PUT
/api/api-key-permission/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "permission": "ProjectOwner",
    "apiKey": "Production API Key",
    "isBlockPermission": false
  }
}

Response

{}
DELETE/api/api-key-permission/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/api-key-permission/:id/delete-item
GET/api/api-key-permission/:id/delete-item

Delete Request

DELETE
/api/api-key-permission/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read API Key Permission

  • Project Owner
  • Project Admin
  • Read API Key
  • Read All Project Resources

Create Permissions

Required to create API Key Permission

  • Project Owner
  • Project Admin
  • Create API Key
  • Edit API Key Permissions

Update Permissions

Required to update API Key Permission

  • Project Owner
  • Project Admin
  • Edit API Key Permissions
  • Edit API Key

Delete Permissions

Required to delete API Key Permission

  • Project Owner
  • Project Admin
  • Delete API Key
  • Edit API Key Permissions